Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::v3::view::adjacent_filter_fn Struct Reference

## Synopsis of methods
constexpr view< adjacent_filter_fn > | adjacent_filter {}

## Public Member Functions
template<typename Rng , typename Pred , requires = (detail::AdjacentFilterConstraint<Rng, Pred>())>
auto | operator() (Rng &&rng, Pred pred) const noexcept(noexcept(decltype(adjacent_filter_view< all_t< Rng >, Pred >{ all(static_cast< Rng && >(rng)), std::move(pred)})(adjacent_filter_view< all_t< Rng >, Pred >{ all(static_cast< Rng && >(rng)), std::move(pred)}))) -> decltype(adjacent_filter_view< all_t< Rng >, Pred >